<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:35:12 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
CoreConnectionPNames (HttpCore 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CoreConnectionPNames (HttpCore 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CoreConnectionPNames.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/params/CoreProtocolPNames.html" title="interface in org.apache.http.params"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/params/CoreConnectionPNames.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CoreConnectionPNames.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.params</FONT>
<BR>
Interface CoreConnectionPNames</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../org/apache/http/params/HttpConnectionParams.html" title="class in org.apache.http.params">HttpConnectionParams</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <B>CoreConnectionPNames</B></DL>
</PRE>

<P>
Defines parameter names for connections in HttpCore.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#CONNECTION_TIMEOUT">CONNECTION_TIMEOUT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines the timeout in milliseconds until a connection is established.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#MAX_HEADER_COUNT">MAX_HEADER_COUNT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines the maximum HTTP header count allowed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#MAX_LINE_LENGTH">MAX_LINE_LENGTH</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines the maximum line length limit.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#MIN_CHUNK_LIMIT">MIN_CHUNK_LIMIT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Defines the size limit below which data chunks should be buffered in a session I/O buffer
 in order to minimize native method invocations on the underlying network socket.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#SO_KEEPALIVE">SO_KEEPALIVE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Defines whether or not TCP is to send automatically a keepalive probe to the peer
 after an interval of inactivity (no data exchanged in either direction) between this
 host and the peer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#SO_LINGER">SO_LINGER</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets SO_LINGER with the specified linger time in seconds.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#SO_REUSEADDR">SO_REUSEADDR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Defines whether the socket can be bound even though a previous connection is
 still in a timeout state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#SO_TIMEOUT">SO_TIMEOUT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Defines the socket timeout (<code>SO_TIMEOUT</code>) in milliseconds,
 which is the timeout for waiting for data  or, put differently,
 a maximum period inactivity between two consecutive data packets).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#SOCKET_BUFFER_SIZE">SOCKET_BUFFER_SIZE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines the size of the internal socket buffer used to buffer data
 while receiving / transmitting HTTP messages.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#STALE_CONNECTION_CHECK">STALE_CONNECTION_CHECK</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines whether stale connection check is to be used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/CoreConnectionPNames.html#TCP_NODELAY">TCP_NODELAY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines whether Nagle's algorithm is to be used.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SO_TIMEOUT"><!-- --></A><H3>
SO_TIMEOUT</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SO_TIMEOUT</B></PRE>
<DL>
<DD>Defines the socket timeout (<code>SO_TIMEOUT</code>) in milliseconds,
 which is the timeout for waiting for data  or, put differently,
 a maximum period inactivity between two consecutive data packets).
 A timeout value of zero is interpreted as an infinite timeout.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketOptions.html?is-external=true#SO_TIMEOUT" title="class or interface in java.net"><CODE>SocketOptions.SO_TIMEOUT</CODE></A>, 
<A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.SO_TIMEOUT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="TCP_NODELAY"><!-- --></A><H3>
TCP_NODELAY</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>TCP_NODELAY</B></PRE>
<DL>
<DD>Determines whether Nagle's algorithm is to be used. The Nagle's algorithm
 tries to conserve bandwidth by minimizing the number of segments that are
 sent. When applications wish to decrease network latency and increase
 performance, they can disable Nagle's algorithm (that is enable
 TCP_NODELAY). Data will be sent earlier, at the cost of an increase
 in bandwidth consumption.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><CODE>Boolean</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketOptions.html?is-external=true#TCP_NODELAY" title="class or interface in java.net"><CODE>SocketOptions.TCP_NODELAY</CODE></A>, 
<A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.TCP_NODELAY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SOCKET_BUFFER_SIZE"><!-- --></A><H3>
SOCKET_BUFFER_SIZE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SOCKET_BUFFER_SIZE</B></PRE>
<DL>
<DD>Determines the size of the internal socket buffer used to buffer data
 while receiving / transmitting HTTP messages.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.SOCKET_BUFFER_SIZE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SO_LINGER"><!-- --></A><H3>
SO_LINGER</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SO_LINGER</B></PRE>
<DL>
<DD>Sets SO_LINGER with the specified linger time in seconds. The maximum
 timeout value is platform specific. Value <code>0</code> implies that
 the option is disabled. Value <code>-1</code> implies that the JRE
 default is used. The setting only affects the socket close operation.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketOptions.html?is-external=true#SO_LINGER" title="class or interface in java.net"><CODE>SocketOptions.SO_LINGER</CODE></A>, 
<A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.SO_LINGER">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SO_REUSEADDR"><!-- --></A><H3>
SO_REUSEADDR</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SO_REUSEADDR</B></PRE>
<DL>
<DD>Defines whether the socket can be bound even though a previous connection is
 still in a timeout state.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><CODE>Boolean</CODE></A>.
 </p>
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.1</DD>
<DT><B>See Also:</B><DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/Socket.html?is-external=true#setReuseAddress(boolean)" title="class or interface in java.net"><CODE>Socket.setReuseAddress(boolean)</CODE></A>, 
<A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.SO_REUSEADDR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="CONNECTION_TIMEOUT"><!-- --></A><H3>
CONNECTION_TIMEOUT</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>CONNECTION_TIMEOUT</B></PRE>
<DL>
<DD>Determines the timeout in milliseconds until a connection is established.
 A timeout value of zero is interpreted as an infinite timeout.
 <p>
 Please note this parameter can only be applied to connections that
 are bound to a particular local address.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.CONNECTION_TIMEOUT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="STALE_CONNECTION_CHECK"><!-- --></A><H3>
STALE_CONNECTION_CHECK</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>STALE_CONNECTION_CHECK</B></PRE>
<DL>
<DD>Determines whether stale connection check is to be used. The stale
 connection check can cause up to 30 millisecond overhead per request and
 should be used only when appropriate. For performance critical
 operations this check should be disabled.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><CODE>Boolean</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.STALE_CONNECTION_CHECK">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="MAX_LINE_LENGTH"><!-- --></A><H3>
MAX_LINE_LENGTH</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>MAX_LINE_LENGTH</B></PRE>
<DL>
<DD>Determines the maximum line length limit. If set to a positive value,
 any HTTP line exceeding this limit will cause an IOException. A negative
 or zero value will effectively disable the check.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.MAX_LINE_LENGTH">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="MAX_HEADER_COUNT"><!-- --></A><H3>
MAX_HEADER_COUNT</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>MAX_HEADER_COUNT</B></PRE>
<DL>
<DD>Determines the maximum HTTP header count allowed. If set to a positive
 value, the number of HTTP headers received from the data stream exceeding
 this limit will cause an IOException. A negative or zero value will
 effectively disable the check.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.MAX_HEADER_COUNT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="MIN_CHUNK_LIMIT"><!-- --></A><H3>
MIN_CHUNK_LIMIT</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>MIN_CHUNK_LIMIT</B></PRE>
<DL>
<DD>Defines the size limit below which data chunks should be buffered in a session I/O buffer
 in order to minimize native method invocations on the underlying network socket.
 The optimal value of this parameter can be platform specific and defines a trade-off
 between performance of memory copy operations and that of native method invocation.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><CODE>Integer</CODE></A>.
 </p>
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.1</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.MIN_CHUNK_LIMIT">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SO_KEEPALIVE"><!-- --></A><H3>
SO_KEEPALIVE</H3>
<PRE>
static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SO_KEEPALIVE</B></PRE>
<DL>
<DD>Defines whether or not TCP is to send automatically a keepalive probe to the peer
 after an interval of inactivity (no data exchanged in either direction) between this
 host and the peer. The purpose of this option is to detect if the peer host crashes.
 <p>
 This parameter expects a value of type <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><CODE>Boolean</CODE></A>.
 </p>
<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
<DT><B>See Also:</B><DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/net/SocketOptions.html?is-external=true#SO_KEEPALIVE" title="class or interface in java.net"><CODE>SocketOptions.SO_KEEPALIVE</CODE></A>, 
<A HREF="../../../../constant-values.html#org.apache.http.params.CoreConnectionPNames.SO_KEEPALIVE">Constant Field Values</A></DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CoreConnectionPNames.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/params/CoreProtocolPNames.html" title="interface in org.apache.http.params"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/params/CoreConnectionPNames.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CoreConnectionPNames.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
